[SRU] newton stable releases

Bug #1688557 reported by Corey Bryant on 2017-05-05
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
Newton
Undecided
Unassigned
aodh (Ubuntu)
Undecided
Unassigned
Yakkety
Undecided
Unassigned
ceilometer (Ubuntu)
Undecided
Unassigned
Yakkety
Undecided
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Yakkety
Undecided
Unassigned
designate (Ubuntu)
Undecided
Unassigned
Yakkety
Undecided
Unassigned
heat (Ubuntu)
Undecided
Unassigned
Yakkety
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Yakkety
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Yakkety
Undecided
Unassigned
neutron-fwaas (Ubuntu)
Undecided
Unassigned
Yakkety
Undecided
Unassigned
neutron-lbaas (Ubuntu)
Undecided
Unassigned
Yakkety
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Yakkety
Undecided
Unassigned

Bug Description

[Description]

Stable release updates for the following packages for OpenStack Newton:

aodh 3.0.2
ceilometer 7.0.3
cinder 9.1.4
designate 3.0.1
heat 7.0.3
horizon 10.0.3
neutron 9.3.1
neutron-fwaas 9.0.1
neutron-lbaas 9.2.0
nova 14.0.5

[Test Case]

Upstream QA process for stable releases is documented here:

https://docs.openstack.org/project-team-guide/stable-branches.html

For all stable point releases, we perform regression testing by juju deploying two openstack clouds, one against -proposed and one against -updates, and we then run tempest integration smoke tests[1] to verify those deployed clouds, and evaluate any differences in results.

[1] https://github.com/openstack/tempest/blob/master/README.rst

[Regression Potential]

Regression potential is low as as these are stable point releases that are released and tested by upstream openstack and tested in distro.

CVE References

description: updated
description: updated
Changed in aodh (Ubuntu):
status: New → Invalid
Changed in ceilometer (Ubuntu):
status: New → Invalid
Changed in cinder (Ubuntu):
status: New → Invalid
Changed in designate (Ubuntu):
status: New → Invalid
Changed in heat (Ubuntu):
status: New → Invalid
Changed in horizon (Ubuntu):
status: New → Invalid
Changed in neutron (Ubuntu):
status: New → Invalid
Changed in neutron-fwaas (Ubuntu):
status: New → Invalid
Changed in neutron-lbaas (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu):
status: New → Invalid
Changed in sahara (Ubuntu):
status: New → Invalid
description: updated
no longer affects: sahara (Ubuntu)
no longer affects: sahara (Ubuntu Yakkety)
Brian Murray (brian-murray) wrote :

I feel like the CVE referenced in the nova upload,[CVE-2017-7214] Failed notification payload is dumped in logs with auth secrets, should be called out in the changelog and the Launchpad bug should have an Ubuntu yakkety task.

I'm not sure I've seen an SRU with a CVE fix in it though, is this normally done?

Changed in nova (Ubuntu Yakkety):
status: New → Incomplete
Changed in aodh (Ubuntu Yakkety):
status: New → Fix Committed
tags: added: verification-needed

Hello Corey, or anyone else affected,

Accepted aodh into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/aodh/3.0.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted ceilometer into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ceilometer/1:7.0.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ceilometer (Ubuntu Yakkety):
status: New → Fix Committed
Changed in cinder (Ubuntu Yakkety):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted cinder into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cinder/2:9.1.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Yakkety):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted horizon into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/horizon/3:10.0.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in heat (Ubuntu Yakkety):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted heat into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/heat/1:7.0.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

There are currently existing unverified SRUs of neutron (neutron-lbaas too) for Xenial, Yakkety, and Zesty.

Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted neutron-fwaas into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron-fwaas/1:9.0.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron-fwaas (Ubuntu Yakkety):
status: New → Fix Committed
Corey Bryant (corey.bryant) wrote :

Hi Brian,

> I feel like the CVE referenced in the nova upload,[CVE-2017-7214] Failed notification payload is > dumped in logs with auth secrets, should be called out in the changelog and the Launchpad bug
> should have an Ubuntu yakkety task.

I've uploaded a new version with the changelog updated to call out the CVE fix and I've also updated the CVE bug to target the corresponding ubuntu and cloud archive releases. Note, It looks like we need to get this uploaded for Ocata too.

>
> I'm not sure I've seen an SRU with a CVE fix in it though, is this normally done?

I think this is normal. Upstream cuts stable releases per project whenever the project thinks it's needed (until EOL which tends to be approx one year for upstream openstack). And with the CVE being the last 2 commits prior to the 14.0.5 release, it looks like they did the right thing in getting it out the door when they did.

Corey

Corey Bryant (corey.bryant) wrote :

Correction to my previous comment. nova 15.0.2 includes the Ocata fix for CVE-2017-7214, and that is already in zesty.

Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted nova into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nova/2:14.0.5-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Yakkety):
status: Incomplete → Fix Committed
James Page (james-page) wrote :

bug 1623664 released yesterday, unblocking the neutron and neutron-lbaas uploads for this SRU - please can they be reviewed!

Ta

Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted neutron into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron/2:9.3.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Yakkety):
status: New → Fix Committed
Changed in neutron-lbaas (Ubuntu Yakkety):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted neutron-lbaas into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron-lbaas/2:9.2.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Thanks Brian. It looks like I missed the upload of designate, so I've just uploaded it. Can you take a look please?

James Page (james-page) on 2017-05-17
Changed in cloud-archive:
status: New → Invalid
James Page (james-page) wrote :

Hello Corey, or anyone else affected,

Accepted neutron into newton-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:newton-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-newton-needed to verification-newton-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-newton-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-newton-needed
James Page (james-page) wrote :

Hello Corey, or anyone else affected,

Accepted neutron-lbaas into newton-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:newton-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-newton-needed to verification-newton-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-newton-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted designate into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/designate/1:3.0.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in designate (Ubuntu Yakkety):
status: New → Fix Committed
James Page (james-page) wrote :

Hello Corey, or anyone else affected,

Accepted designate into newton-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:newton-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-newton-needed to verification-newton-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-newton-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Testing has completed successfully. Tempest results are below:

yakkety-newton-proposed
-----------------------

======
Totals
======
Ran: 103 tests in 972.3608 sec.
 - Passed: 97
 - Skipped: 6
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 554.7547 sec.

==============
Worker Balance
==============
 - Worker 0 (103 tests) => 0:15:59.401528
___________________________________ summary ____________________________________
  smoke: commands succeeded
  congratulations :)

xenial-newton-proposed
----------------------
---------------------------

======
Totals
======
Ran: 103 tests in 1185.2261 sec.
 - Passed: 97
 - Skipped: 6
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 650.9384 sec.

==============
Worker Balance
==============
 - Worker 0 (103 tests) => 0:19:27.568502
___________________________________ summary ____________________________________
  smoke: commands succeeded
  congratulations :)

tags: added: verification-done verification-newton-done
removed: verification-needed verification-newton-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package aodh - 3.0.2-0ubuntu1

---------------
aodh (3.0.2-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557).

 -- Corey Bryant <email address hidden> Fri, 05 May 2017 14:52:21 -0400

Changed in aodh (Ubuntu Yakkety):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for aodh has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 1:7.0.3-0ubuntu1

---------------
heat (1:7.0.3-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557).

 -- Corey Bryant <email address hidden> Fri, 05 May 2017 15:18:42 -0400

Changed in heat (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 1:7.0.3-0ubuntu1

---------------
ceilometer (1:7.0.3-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557).

 -- Corey Bryant <email address hidden> Fri, 05 May 2017 15:00:53 -0400

Changed in ceilometer (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 3:10.0.3-0ubuntu1

---------------
horizon (3:10.0.3-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557)

 -- Corey Bryant <email address hidden> Fri, 05 May 2017 15:21:32 -0400

Changed in horizon (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-fwaas - 1:9.0.1-0ubuntu1

---------------
neutron-fwaas (1:9.0.1-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557).

 -- Corey Bryant <email address hidden> Fri, 05 May 2017 15:33:17 -0400

Changed in neutron-fwaas (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-lbaas - 2:9.2.0-0ubuntu1

---------------
neutron-lbaas (2:9.2.0-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557).

 -- Corey Bryant <email address hidden> Fri, 05 May 2017 15:35:01 -0400

Changed in neutron-lbaas (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 2:9.3.1-0ubuntu1

---------------
neutron (2:9.3.1-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557).

 -- Corey Bryant <email address hidden> Fri, 05 May 2017 15:13:47 -0400

Changed in neutron (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package designate - 1:3.0.1-0ubuntu1

---------------
designate (1:3.0.1-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557).

 -- Corey Bryant <email address hidden> Fri, 05 May 2017 15:15:53 -0400

Changed in designate (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 2:14.0.5-0ubuntu1

---------------
nova (2:14.0.5-0ubuntu1) yakkety; urgency=medium

  [Saverio Proto]
  * New upstream point release for OpenStack Newton (LP: #1688557).

  [Corey Bryant]
  * SECURITY UPDATE: Failed notification payload is dumped in logs
    with auth secrets (LP: #1673569).
    - This is included from upstream in the 14.0.5 stable point release.
    - CVE-2017-7214

 -- Corey Bryant <email address hidden> Mon, 15 May 2017 08:37:32 -0400

Changed in nova (Ubuntu Yakkety):
status: Fix Committed → Fix Released
James Page (james-page) wrote :

The verification of the Stable Release Update for aodh has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package aodh - 3.0.2-0ubuntu1~cloud0
---------------

 aodh (3.0.2-0ubuntu1~cloud0) xenial-newton; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 aodh (3.0.2-0ubuntu1) yakkety; urgency=medium
 .
   * New upstream point release for OpenStack Newton (LP: #1688557).

James Page (james-page) wrote :

The verification of the Stable Release Update for ceilometer has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package ceilometer - 1:7.0.3-0ubuntu1~cloud0
---------------

 ceilometer (1:7.0.3-0ubuntu1~cloud0) xenial-newton; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 ceilometer (1:7.0.3-0ubuntu1) yakkety; urgency=medium
 .
   * New upstream point release for OpenStack Newton (LP: #1688557).

James Page (james-page) wrote :

The verification of the Stable Release Update for designate has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package designate - 1:3.0.1-0ubuntu1~cloud0
---------------

 designate (1:3.0.1-0ubuntu1~cloud0) xenial-newton; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 designate (1:3.0.1-0ubuntu1) yakkety; urgency=medium
 .
   * New upstream point release for OpenStack Newton (LP: #1688557).

James Page (james-page) wrote :

The verification of the Stable Release Update for heat has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package heat - 1:7.0.3-0ubuntu1~cloud0
---------------

 heat (1:7.0.3-0ubuntu1~cloud0) xenial-newton; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 heat (1:7.0.3-0ubuntu1) yakkety; urgency=medium
 .
   * New upstream point release for OpenStack Newton (LP: #1688557).

James Page (james-page) wrote :

The verification of the Stable Release Update for horizon has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package horizon - 3:10.0.3-0ubuntu1~cloud0
---------------

 horizon (3:10.0.3-0ubuntu1~cloud0) xenial-newton; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 horizon (3:10.0.3-0ubuntu1) yakkety; urgency=medium
 .
   * New upstream point release for OpenStack Newton (LP: #1688557)

James Page (james-page) wrote :

The verification of the Stable Release Update for neutron has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package neutron - 2:9.3.1-0ubuntu1~cloud0
---------------

 neutron (2:9.3.1-0ubuntu1~cloud0) xenial-newton; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 neutron (2:9.3.1-0ubuntu1) yakkety; urgency=medium
 .
   * New upstream point release for OpenStack Newton (LP: #1688557).

James Page (james-page) wrote :

The verification of the Stable Release Update for neutron-fwaas has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package neutron-fwaas - 1:9.0.1-0ubuntu1~cloud0
---------------

 neutron-fwaas (1:9.0.1-0ubuntu1~cloud0) xenial-newton; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 neutron-fwaas (1:9.0.1-0ubuntu1) yakkety; urgency=medium
 .
   * New upstream point release for OpenStack Newton (LP: #1688557).

James Page (james-page) wrote :

The verification of the Stable Release Update for neutron-lbaas has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package neutron-lbaas - 2:9.2.0-0ubuntu1~cloud0
---------------

 neutron-lbaas (2:9.2.0-0ubuntu1~cloud0) xenial-newton; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 neutron-lbaas (2:9.2.0-0ubuntu1) yakkety; urgency=medium
 .
   * New upstream point release for OpenStack Newton (LP: #1688557).

James Page (james-page) wrote :

The verification of the Stable Release Update for nova has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package nova - 2:14.0.5-0ubuntu1~cloud0
---------------

 nova (2:14.0.5-0ubuntu1~cloud0) xenial-newton; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 nova (2:14.0.5-0ubuntu1) yakkety; urgency=medium
 .
   [Saverio Proto]
   * New upstream point release for OpenStack Newton (LP: #1688557).
 .
   [Corey Bryant]
   * SECURITY UPDATE: Failed notification payload is dumped in logs
     with auth secrets (LP: #1673569).
     - This is included from upstream in the 14.0.5 stable point release.
     - CVE-2017-7214

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 2:9.1.4-0ubuntu1

---------------
cinder (2:9.1.4-0ubuntu1) yakkety; urgency=medium

  [ Chuck Short ]
  * d/p/fix-emx-driver.patch: VNX: Update sg cache if it already existed.
    (LP: #1677982)

  [ Corey Bryant ]
  * New upstream point release for OpenStack Newton (LP: #1688557).
  * d/p/fix-emx-driver.patch: Dropped. Included in upstream point release.

 -- Corey Bryant <email address hidden> Fri, 05 May 2017 15:06:45 -0400

Changed in cinder (Ubuntu Yakkety):
status: Fix Committed → Fix Released
James Page (james-page) wrote :

The verification of the Stable Release Update for cinder has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package cinder - 2:9.1.4-0ubuntu1~cloud0
---------------

 cinder (2:9.1.4-0ubuntu1~cloud0) xenial-newton; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 cinder (2:9.1.4-0ubuntu1) yakkety; urgency=medium
 .
   [ Chuck Short ]
   * d/p/fix-emx-driver.patch: VNX: Update sg cache if it already existed.
     (LP: #1677982)
 .
   [ Corey Bryant ]
   * New upstream point release for OpenStack Newton (LP: #1688557).
   * d/p/fix-emx-driver.patch: Dropped. Included in upstream point release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers